import 'dart:developer' as dev;

import 'package:flutter_blue_plus_windows/flutter_blue_plus_windows.dart';

extension ObjectLogging on Object {
  void get log {
    dev.log('$this');
  }
}

extension PacketLogging on List<int> {
  void get packetLog {
    'Write a packet $this'.log;
  }
}

extension BLEWriteLoggingNullable on BluetoothCharacteristic? {
  Future<void> writePacket(List<int> packet) async {
    packet.packetLog;
    if (this == null) return;
    if (packet.isEmpty) return;
    await this?.write(packet);
  }
}
