// ignore_for_file: public_member_api_docs

import 'package:healthrian_ble_interface/healthrian_ble_interface.dart';
import 'package:healthrian_common_support/healthrian_common_support.dart';
import 'package:mobx/mobx.dart';

part 'stream_interface.g.dart';

class StreamInterface = StreamsBase with _$StreamInterface;

abstract class StreamsBase with Store, StreamBle, StreamOxi, StreamEcg {
  @observable
  Stream<bool?>? connection;

  @observable
  Stream<int?>? battery;

  @observable
  Stream<TapEvent?>? tap;

  /////////////////////////////////////////////

  @observable
  Stream<List<int>>? rawEcg;

  @observable
  Stream<List<int>>? lzmaEcg;

  @observable
  Stream<List<int>>? eventEcg;

  @observable
  Stream<List<List<double>>>? convertedEcg;

  @observable
  Stream<LeadState?>? leadStateEcg;

  @observable
  Stream<int?>? heartRateEcg;

  @observable
  Stream<Channels>? bufferedEcg;

  @observable
  Stream<Channels>? bufferedFilterEcg;

  @observable
  Stream<PlotChannels>? plotEcg;

  @observable
  Stream<PlotChannels?>? plotRTEcg;

  ////////////////////////////////////////

  @observable
  Stream<List<int>>? rawOxi;

  @observable
  Stream<List<int>>? lzmaOxi;

  @observable
  Stream<List<int>>? eventOxi;

  @observable
  Stream<List<List<double>>>? convertedOxi;

  @observable
  Stream<int?>? pulseOxi;

  @observable
  Stream<Channels>? bufferedOxi;

  @observable
  Stream<Channels>? bufferedFilterOxi;

  @observable
  Stream<PlotChannels>? plotOxi;

  @observable
  Stream<PlotChannels?>? plotRTOxi;
}
